- Home
- Download
- Contribute
- Support
- Cyrus SASL

# Cyrus IMAP

# sieved

Tool to decompile a sieve script back from bytecode.

## Synopsis

    sieved [OPTIONS] bytcodefile

## Description

sieved decompiles the given bytecodefile, writing output to stdout.

By default, the output is a descriptive version of the bytecode. With the -s option, an equivalent sieve script is produced instead.

## Options

-s, --as-sieve

  Produce a sieve script rather than describing the bytecode. Note that if the bytecode contains deprecated features, the resulting script will not be compilable without changes.

## See Also

masssievec(8), sievec(8)